/*=============== WooCommerce ===============*/
/* Buttons  */
.woocommerce.single-product #respond input#submit,
.woocommerce.single-product a.button,
.woocommerce.single-product button.button,
.woocommerce.single-product input.button,
.woocommerce a.button,
.woocommerce-button.button.woocommerce-form-login__submit,
.woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit,
.woocommerce button.button {
  border-radius: 0;
  background-color: var(--color-primary);
  color: var(--color-white);
  font-weight: var(--normal-font-weight);
  transition: var(--transition-time) ease-in-out;
}

.woocommerce.single-product #respond input#submit.alt,
.woocommerce.single-product a.button.alt,
.woocommerce.single-product button.button.alt,
.woocommerce.single-product input.button.alt,
.woocommerce.single-product button.button.alt.disabled {
  border: none;
  border-radius: 0;
  background-color: var(--color-primary);
  font-size: var(--normal-font-size);
  font-weight: var(--normal-font-weight);
  transition: var(--transition-time) ease-in-out;
}

.woocommerce #respond input#submit:hover,
.woocommerce a.button:hover,
.woocommerce button.button:hover,
.woocommerce input.button:hover,
.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover,
.woocommerce button.button.alt.disabled:hover,
.woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit:hover {
  color: var(--color-secondary);
  background-color: var(--color-primary);
  box-shadow: 0 0.4em 0.8em 0 rgba(0, 0, 0, 0.25);
}

.woocommerce-account .woocommerce form .form-row input.input-text {
  padding: 8px 20px;
  border: 1px solid var(--color-primary);
}

.webtim-wooc-product--simple--add-to-cart__wrapper button {
  border-radius: 0;
  font-size: var(--normal-font-size);
  font-weight: var(--normal-font-weight);
  text-transform: uppercase;
}

.woocommerce-info,
.woocommerce-error {
  border-top-color: var(--color-primary);
}

.woocommerce-info::before,
.woocommerce-error::before {
  color: var(--color-primary);
}

.woocommerce-message {
  border-top-color: var(--color-primary);
}
.woocommerce-message::before {
  color: var(--color-primary);
}

/*My account*/
.woocommerce-form.woocommerce-form-register.register p {
  margin-bottom: 16px;
}

.woocommerce-notices-wrapper {
  display: none;
}

/*Qty buttons*/
#webtim-wooc-product-qty {
  border: 1px solid var(--color-primary);
  border-radius: 2px;
}

#webtim-wooc-product-qty span,
#webtim-wooc-product-qty input {
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
}

#webtim-wooc-product-qty input {
  border: none;
}

#webtim-wooc-qty-minus,
#webtim-wooc-qty-plus {
  background-color: var(--color-white);
}

div.webtim-wooc--product-qty--input__wrapper .qty-change {
  cursor: pointer;
}

#webtim-wooc-product-qty .quantity {
  margin: 0;
}

/*=============== Product box ===============*/
.hostelpark--product-box--wrapper,
.hostelpark--product-box--image {
  transition: all var(--transition-time);
  -webkit-transition: all var(--transition-time);
  -moz-transition: all var(--transition-time);
  -ms-transition: all var(--transition-time);
  -o-transition: all var(--transition-time);
}

.hostelpark--product-box--wrapper:hover .hostelpark--product-box--image {
  transform: scale(1.15);
  -webkit-transform: scale(1.1);
  -moz-transform: scale(1.15);
  -ms-transform: scale(1.15);
  -o-transform: scale(1.15);
}

.hostelpark--product-box--wrapper:hover .hostelpark--product-box--tittle a {
  color: var(--color-secondary) !important;
}

.hostelpark--product-box--tittle a {
  transition: all var(--transition-time);
  -webkit-transition: all var(--transition-time);
  -moz-transition: all var(--transition-time);
  -ms-transition: all var(--transition-time);
  -o-transition: all var(--transition-time);
}

.hostelpark--product-box--tittle a:hover {
  color: var(--color-secondary) !important;
}

.hostelpark--product-box--price .price {
  color: var(--color-secondary);
  font-size: var(--h1-font-size);
  font-weight: var(--bold-font-weight);
  line-height: var(--line-height-small);
}

.hostelpark-add-to-cart-button-holder {
  padding: 12px 10px;
  border: 1px solid var(--color-secondary);
  border-radius: 4px;
  background-color: var(--color-secondary);
  color: var(--color-white);
  transition: all var(--transition-time);
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  -ms-border-radius: 4px;
  -o-border-radius: 4px;
  -webkit-transition: all var(--transition-time);
  -moz-transition: all var(--transition-time);
  -ms-transition: all var(--transition-time);
  -o-transition: all var(--transition-time);
}

.hostelpark-add-to-cart-button-holder a {
  color: var(--color-white) !important;
  font-size: var(--normal-font-size);
  text-transform: uppercase;
}

.hostelpark-add-to-cart-button-holder:hover {
  background-color: var(--color-primary);
}

@media only screen and (max-width: 767px) {
  .hostelpark--product-box--price .price {
    font-size: var(--h3-font-size);
  }
  .hostelpark-add-to-cart-button-holder {
    padding: 8px 16px;
  }
  .hostelpark-add-to-cart-button-holder a {
    font-size: var(--small-font-size);
  }
}

/*=============== Webtim catalog ===============*/
@media screen and (max-width: 768px) {
  .hostelpark--webtim-woocommerce-catalog .webtim-catalog-wrap .webtim-catalog-menu .webtim-catalog-order-display {
    display: none;
  }
}

.hostelpark--webtim-woocommerce-catalog .webtim-catalog-products.webtim-grid {
  padding-top: 20px;
  padding-bottom: 16px;
}

#webtim_grid_icn .webtim_icn_cls_1 {
  stroke-width: 1px !important;
}

.navigation.pagination {
  margin-top: 20px;
}

.nav-links .page-numbers.current {
  padding: 5px 10px 3px 10px;
  border: 1px solid var(--color-primary);
  background: var(--color-primary);
  color: var(--color-white);
  font-size: var(--small-font-size);
}

.nav-links .page-numbers {
  padding: 5px 10px 3px 10px;
  border: 1px solid var(--color-primary);
  background: var(--color-white);
  color: var(--color-primary);
  font-size: var(--small-font-size);
}

.hostelpark--webtim-woocommerce-catalog .nav-links {
  float: right;
  margin-bottom: 10px;
}

.hostelpark--webtim-woocommerce-catalog .webtim-catalog-normal-pagination .navigation.pagination {
  margin-top: 0;
  border: none;
}

.hostelpark--webtim-woocommerce-catalog .webtim-catalog-menu {
  margin-top: 10px;
}

@media screen and (max-width: 1025px) {
  .hostelpark--webtim-woocommerce-catalog .webtim-catalog-menu .webtim-catalog-normal-pagination {
    display: none;
  }
}
